NameNodeListImpl (Other Classes)
Date: 2016-02-19

org.apache.html.dom

## Class NameNodeListImpl

- java.lang.Object
- - org.apache.xerces.dom.DeepNodeListImpl
  - - org.apache.html.dom.NameNodeListImpl

- All Implemented Interfaces:
    org.w3c.dom.NodeList

      public class NameNodeListImpl
      extends org.apache.xerces.dom.DeepNodeListImpl
      implements org.w3c.dom.NodeList

  This class implements the DOM's NodeList behavior for HTMLDocuemnt.getElementsByName().
  Since:
    PR-DOM-Level-1-19980818.
  Version:
    $Id: NameNodeListImpl.java 447255 2006-09-18 05:36:42Z mrglavas $
  See Also:
    `DeepNodeListImpl`

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xerces.dom.DeepNodeListImpl

      `changes, enableNS, nodes, nsName, rootNode, tagName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NameNodeListImpl(org.apache.xerces.dom.NodeImpl rootNode, java.lang.String tagName)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.w3c.dom.Node` | `nextMatchingElementAfter(org.w3c.dom.Node current)` Iterative tree-walker.

    - ### Methods inherited from class org.apache.xerces.dom.DeepNodeListImpl

      `getLength, item`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.w3c.dom.NodeList

      `getLength, item`

- - ### Constructor Detail

    - #### NameNodeListImpl

          public NameNodeListImpl(org.apache.xerces.dom.NodeImpl rootNode,
                          java.lang.String tagName)

      Constructor.

  - ### Method Detail

    - #### nextMatchingElementAfter

          protected org.w3c.dom.Node nextMatchingElementAfter(org.w3c.dom.Node current)

      Iterative tree-walker. When you have a Parent link, there's often no need to resort to recursion. NOTE THAT only Element nodes are matched since we're specifically supporting getElementsByTagName().
      Overrides:
        `nextMatchingElementAfter` in class `org.apache.xerces.dom.DeepNodeListImpl`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.